Bug 254436 - www/caddy: Update to 2.3.0
Summary: www/caddy: Update to 2.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-20 16:11 UTC by Adam Weinberger
Modified: 2021-05-24 18:09 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (daniel.tihanyi)


Attachments
2.3.0 (24.18 KB, patch)
2021-03-20 16:11 UTC, Adam Weinberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2021-03-20 16:11:36 UTC
Created attachment 223453 [details]
2.3.0

Attached patch updates caddy to 2.3.0.

Also included:
- fix PLIST_FILES (should be relative, not absolute)
- remove pkg-message with incorrect instructions
- remove CGO_ENABLED=0 which appears to no longer be necessary
Comment 1 Daniel Tihanyi 2021-03-21 15:01:23 UTC
Hi,
I don't use this software anymore, I'd be happy to pass on maintainership. Adam, would you be willing to pick it up?
Thanks!
Comment 2 Adam Weinberger freebsd_committer 2021-03-21 16:27:12 UTC
I'd be very happy to! Thank you for all the time you spent on this port.
Comment 3 commit-hook freebsd_committer 2021-03-21 17:28:15 UTC
A commit references this bug:

Author: adamw
Date: Sun Mar 21 17:27:55 UTC 2021
New revision: 568926
URL: https://svnweb.freebsd.org/changeset/ports/568926

Log:
  www/caddy: Update to 2.3.0 and take maintainership

  Thanks to Daniel Tihanyi for all his work maintaining this port!

  While here, a number of cleanups:
  - Simplify Makefile
  - Remove pkg-message whose instructions were superseded by @sample
  - Re-enable cgo. It seems to work fine now.
  - Rename the rc(8) 'validate' subcommand to 'configtest' for clarity and consistency
  - Add a little more info to the sample Caddyfile
  - Point to instructions for getting access logs working

  Changes: https://github.com/caddyserver/caddy/releases/tag/v2.3.0

  PR:		254436
  Approved by:	Daniel Tihanyi (outgoing maintainer)

Changes:
  head/www/caddy/Makefile
  head/www/caddy/distinfo
  head/www/caddy/files/Caddyfile.sample.in
  head/www/caddy/files/caddy.in
  head/www/caddy/files/pkg-message.in
  head/www/caddy/pkg-descr
Comment 4 Basil Hendroff 2021-05-23 16:33:08 UTC
Hi Adam,
Not sure of your reasons for changing the non-standard validate command to configtest? I feel configtest has less clarity and consistency with Caddy's validate command.
Comment 5 Adam Weinberger freebsd_committer 2021-05-24 18:09:53 UTC
(In reply to Basil Hendroff from comment #4)

It does present an inconsistency with caddy's command, but it brings consistency with the majority of FreeBSD rc(8) scripts, which use `configtest' for that purpose. The intent of rc(8) scripts is to present a common, abstracted interface, not to mirror the end binary's command structure. If people want to test the config file, `configtest' is the first command to try.

I don't feel super strongly about it, though, and if enough other people indicate a strong preference I'm certainly willing to reconsider.